List tax status records
curl --request GET \
--url https://api.syntage.com/tax-status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/tax-status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/tax-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/tax-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/tax-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/tax-status")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/tax-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/TaxStatus",
"@id": "/tax-status",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxStatus",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"file": {
"type": "TaxStatus",
"resource": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"mimeType": "application/pdf",
"extension": "pdf",
"filename": "91106968-1abd-4d64-85c1-4e73d96fb997.pdf"
},
"rfc": "PEIC211118IS0",
"cif": 20060152922,
"person": {
"fullName": "Pedro Infante Cruz",
"firstName": "Pedro",
"middleName": "Infante",
"lastName": "Cruz",
"curp": "PEIC90110UEYBVT85"
},
"company": {
"legalName": "APPLE OPERATIONS MEXICO",
"tradeName": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"entityType": "SOCIEDAD ANONIMA DE CAPITAL VARIABLE"
},
"email": "my-email@test.com",
"phone": "5512345678",
"address": {
"streetReferences": [
"Camiño Galván"
],
"streetNumber": "8124",
"buildingNumber": "496",
"locality": "TUXTLA GUTIERREZ",
"municipality": "TUXTLA GUTIERREZ",
"postalCode": "29000",
"state": "CHIAPAS",
"streetName": "Plaza Jorge Luis",
"streetType": "Calle",
"neighborhood": "Paseo Ricardo",
"statusRaw": "LOCALIZADO - Domicilio Localizado"
},
"economicActivities": [
{
"name": "Asalariado",
"order": "1",
"percentage": "100",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"taxRegimes": [
{
"code": 601,
"name": "Régimen de Sueldos y Salarios e Ingresos Asimilados a Salarios",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"obligations": [
{
"description": "Pago definitivo mensual de IVA.",
"dueDate": "A más tardar el día 17 del mes inmediato posterior al periodo que corresponda.",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"startedOperationsAt": "2023-11-07T05:31:56Z",
"status": "Activo",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Tax Status
List tax status records
List tax status records available to your organization.
GET
/
tax-status
List tax status records
curl --request GET \
--url https://api.syntage.com/tax-status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/tax-status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/tax-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/tax-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/tax-status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/tax-status")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/tax-status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/TaxStatus",
"@id": "/tax-status",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "TaxStatus",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"file": {
"type": "TaxStatus",
"resource": "/tax-status/91106968-1abd-4d64-85c1-4e73d96fb997",
"mimeType": "application/pdf",
"extension": "pdf",
"filename": "91106968-1abd-4d64-85c1-4e73d96fb997.pdf"
},
"rfc": "PEIC211118IS0",
"cif": 20060152922,
"person": {
"fullName": "Pedro Infante Cruz",
"firstName": "Pedro",
"middleName": "Infante",
"lastName": "Cruz",
"curp": "PEIC90110UEYBVT85"
},
"company": {
"legalName": "APPLE OPERATIONS MEXICO",
"tradeName": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"entityType": "SOCIEDAD ANONIMA DE CAPITAL VARIABLE"
},
"email": "my-email@test.com",
"phone": "5512345678",
"address": {
"streetReferences": [
"Camiño Galván"
],
"streetNumber": "8124",
"buildingNumber": "496",
"locality": "TUXTLA GUTIERREZ",
"municipality": "TUXTLA GUTIERREZ",
"postalCode": "29000",
"state": "CHIAPAS",
"streetName": "Plaza Jorge Luis",
"streetType": "Calle",
"neighborhood": "Paseo Ricardo",
"statusRaw": "LOCALIZADO - Domicilio Localizado"
},
"economicActivities": [
{
"name": "Asalariado",
"order": "1",
"percentage": "100",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"taxRegimes": [
{
"code": 601,
"name": "Régimen de Sueldos y Salarios e Ingresos Asimilados a Salarios",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"obligations": [
{
"description": "Pago definitivo mensual de IVA.",
"dueDate": "A más tardar el día 17 del mes inmediato posterior al periodo que corresponda.",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"startedOperationsAt": "2023-11-07T05:31:56Z",
"status": "Activo",
"statusUpdatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Was this page helpful?